Supporto » Fixing WordPress » backporting di sicurezza

  • Risolto willy70

    (@willy70)


    Ciao a tutti,
    dato che non sono un epserto di WordPress , l’ho sto usando da quaòche mese
    limitandomi ad interagire tramite pannello di controllo, e vedendo le tante release
    che vengono prodotte mi chiedevo se esiste un qualche modo per portare le patch di
    sicurezza , quelle che eventualmente fissano vulnarabilità gravi, nelle versioni piu’ vecchie.
    Purtroppo io sono legato alla 4.4 a causa di un plgin di cui ho assoluto bisogno e che
    che con la 4.7 non funziona correttamente, si chiama wp-athletics.
    Grazie mille.
    Saluti
    Willy

Stai vedendo 2 repliche - dal 1 al 2 (di 2 totali)
  • Moderatore Guido Scialfa

    (@wido)

    Ciao @willy70,

    Questo tipo di patching non credo possa funzionare perchè nelle major release vi sono righe di codice che cambiano proprio perchè essendo una major non va solo a fixare vulnerabilità ma anche ad aggiungere features e migliorie, questo significa che applicare una patch di una versione più recente potrebbe comportare il malfunzionamento e molto probabilmente il non funzionamento completo della versione vecchia, proprio per via del fatto che le righe di codice non coincidono.

    Il team di sviluppo di WordPress comunque continua a portare avanti gli aggiornamenti di sicurezza anche per le versioni più vecchie. Vedi ad esempio in

    Release Archive – https://wordpress.org/download/release-archive/

    , noterai che per la versione 4.4 si arriva ad una minor release 4.4.5.

    Attualmente ( ho chiesto ai supporter ufficiali ) la versione 3.7 continua a ricevere gli aggiornamenti di sicurezza.

    Non vi sono piani però tentano di aggiornare le versioni più vecchie fintanto che è possibile.

    Detto questo dovresti essere coperto almeno per ciò che concerne la sicurezza 🙂

    Ciao Guido,
    anche in questo caso sei stato utilissimo,io mi sono fatto un po’ ingannare dalla notifica
    di update a 4.7 che appare sulla dashboard ad ogni login.
    Grazie mille per tutto, prima di fare il salto a 4.7 sicuramente faro’ tutti gli update
    possibiili rimanendo in 4.4, sto vedendo proprio ora che sono dei semplici tar da scompattare
    o mi sbaglio ?
    A presto !
    Willy

    • Questa risposta è stata modificata 2 anni, 10 mesi fa da  willy70.
Stai vedendo 2 repliche - dal 1 al 2 (di 2 totali)
  • Il topic ‘backporting di sicurezza’ è chiuso a nuove risposte.